From be7e30e0c9ed719c379952753b98c009412ee39f Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Oct 31 2020 04:21:23 +0000
Subject: [PATCH 1098/2232] Clarify name struct comments


---

diff --git a/syntax/mod.rs b/syntax/mod.rs
index 4f9815d..b1aaa13 100644
--- a/syntax/mod.rs
+++ b/syntax/mod.rs
@@ -183,8 +183,8 @@ pub enum Lang {
     Rust,
 }
 
-// A type with a defined Rust name and a fully resolved, qualified, namespaced,
-// C++ name.
+// An association of a defined Rust name with a fully resolved, namespace
+// qualified C++ name.
 #[derive(Clone)]
 pub struct Pair {
     pub cxx: CppName,
@@ -193,7 +193,7 @@ pub struct Pair {
 
 // A C++ identifier in a particular namespace. It is intentional that this does
 // not impl Display, because we want to force users actively to decide whether
-// to output it as a qualified name or as an unqualfiied name.
+// to output it as a qualified name or as an unqualfied name.
 #[derive(Clone)]
 pub struct CppName {
     pub ns: Namespace,

